%define name perl-PerlIO-gzip
%define real_name PerlIO-gzip
%define version 0.15
%define release 2mdk

Summary:	Perl extension to provide a PerlIO layer to gzip/gunzip
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Distribution:	Mandrake Linux
Source:		http://www.cpan.org/authors/id/N/NW/NWCLARK/%{real_name}-%{version}.tar.bz2
Patch:		%{real_name}-0.14-no_strict_warnings.patch.bz2
URL:		http://search.cpan.org/author/NWCLARK/%{real_name}-%{version}/gzip.pm
Prefix:		%{_prefix}
BuildRequires:	perl-devel zlib-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
PerlIO::gzip provides a PerlIO layer that manipulates files in the format used
by the gzip program. Compression and Decompression are implemented, but not
together. If you attempt to open a file for reading and writing the open will
fail.

%prep
%setup -q -n %{real_name}-%{version}
%patch -p1 -b .fpons

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make OPTIMIZE="$RPM_OPT_FLAGS"
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%{_mandir}/*/*
%{perl_vendorarch}/PerlIO
%{perl_vendorarch}/auto/PerlIO


%changelog
* Fri Aug  1 2003 Pixel <pixel@mandrakesoft.com> 0.15-2mdk
- rebuild for new perl (it helps DrakX build script)

* Mon Jul 21 2003 Franois Pons <fpons@mandrakesoft.com> 0.15-1mdk
- 0.15.

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.14-3mdk
- rebuild for new auto{prov,req}

* Thu Feb 13 2003 Franois Pons <fpons@mandrakesoft.com> 0.14-2mdk
- patched to remove strict and warnings in order to compress
  more module in installer.

* Wed Feb 12 2003 Franois Pons <fpons@mandrakesoft.com> 0.14-1mdk
- initial revision.
